Back to series

Support for Office 2016 File Attachments has been released as of RightFax 10.6 FP3 or higher

The RightFax Conversion Engine is a stand-alone, fault tolerant service that is used to invoke applications used in server-side application (SSA) conversion. It detects when an SSA supported attachment is passed to the RightFax server and launches the appropriate application to convert the file.

The RightFax Conversion Engine converts files created with the following Microsoft Office programs:

  •  Word versions 2016, 2013, 2010, 2007, 2003, and 2000.
  •  Excel versions 2016, 2013, 2010, 2007, 2003, and 2000.
  •  PowerPoint versions 2016, 2013, 2010, 2007, 2003, and 2000.

The Conversion Engine can also be configured to use Optical Character Recognition (OCR) technology. RightFax uses RecoStar to perform OCR conversion. For information about OCR setup and configuration, see Using Optical Character Recognition (OCR) on page 223.To convert HTML documents, RightFax uses a dedicated HTML conversion engine. For more information, see Configuring HTML conversions on page 84 of the RightFax 10.6 FP3 Administrator Guide.

Install Microsoft Office 2010 32-bit edition or Microsoft Office 2013 32- bit edition on the RightFax server and any WorkServers that will perform SSA conversions. The version of the server-side application installed on the server or WorkServer must be able to open the document versions submitted by client computers.

Installing Office applications

Install the 32-bit editions of Microsoft Office applications (Word, Excel, and PowerPoint) versions 2010 or 2013 on each of your RightFax servers and any other computers where RightFax WorkServers will be executed for server-side application (SSA) conversions. These versions will convert Office 2016 files attached via email or FaxUtil.
Support for FaxUtil & Outlook Client

RightFax FP3 only supports FP3 clients, so all FaxUtil clients should be upgraded to FP3.  This is necessary to get the Office 2016 outlook plugin. Versions after RightFax 10.6 FP3 need the server and clients to be running the same version.  This is a change on client compatibility in past versions.